#!/usr/local/bin/ruby

require 'cgi'
require 'tofu/cgicontext'
require 'tofu/proxy'

cgi = CGI.new

DRb.start_service
context = Tofu::CGIContext.new(cgi)
bartender = DRbObject.new(nil, 'druby://localhost:7642')
# bartender.service(DRbObject.new(context))
bartender.service(Tofu::ContextProxy.new(context))
